Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.java.archives
[Java] Interface ManifestMergeDetails

    public interface ManifestMergeDetails

Details of a value being merged from two different manifests.

Method Summary
`void` | `exclude()` Excludes this key from being in the manifest after the merge.
`java.lang.String` | `getBaseValue()` Returns the value for the key of the manifest that is the target of the merge.
`java.lang.String` | `getKey()` Returns the key that is to be merged.
`java.lang.String` | `getMergeValue()` Returns the value for the key of the manifest that is the source for the merge.
`java.lang.String` | `getSection()` Returns the section this merge details belongs to.
`java.lang.String` | `getValue()` Returns the value for the key of the manifest after the merge takes place.
`void` | `setValue(java.lang.String value)` Set's the value for the key of the manifest after the merge takes place.

Method Detail

### exclude

    public void exclude()

  Excludes this key from being in the manifest after the merge.

### getBaseValue

    public java.lang.String getBaseValue()

  Returns the value for the key of the manifest that is the target of the merge.

### getKey

    public java.lang.String getKey()

  Returns the key that is to be merged.

### getMergeValue

    public java.lang.String getMergeValue()

  Returns the value for the key of the manifest that is the source for the merge.

### getSection

    public java.lang.String getSection()

  Returns the section this merge details belongs to.

### getValue

    public java.lang.String getValue()

  Returns the value for the key of the manifest after the merge takes place. By default this is the value of the source for the merge.

### setValue

    public void setValue(java.lang.String value)

  Set's the value for the key of the manifest after the merge takes place.
  Parameters:
    value

Groovy Documentation